Subject: Re: chrp mmu and booting.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 24 Jan 2004 12:06:21 +1100

On Sat, 2004-01-24 at 07:49, Peter Bergner wrote:

> In real mode, there is no address mapping done.  When the kernel starts
> executing, we are not loaded where we were linked at, so we must be very
> careful about what we touch.  You'll see in arch/ppc64/kernel/prom.c,
> that we use the RELOC() macro to access global data.  It essentially
> maps the virtual/effective address the kernel expects things to be at
> to the physical address it's actually loaded at.  The ppc32 kernel was
> able to remove the RELOC() macro, but for various reasons, the PPC64
> kernel is still stuck using it.

Yup :( Anton, Paulus and I have been scratching our heads to find
a way to kill it, not as simple as ppc32 but we'll eventually do it :)

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/